\name{AsinImageFilter}
\alias{AsinImageFilter}
\title{AsinImageFilter}
\Rdversion{1.1}
\docType{class}
\description{
Computes the sine of each pixel.
AsinImageFilter}
\details{
This filter is templated over the pixel type of the input image and
the pixel type of the output image.
The filter walks over all the pixels in the input image, and for each
pixel does the following:
cast the pixel value to double ,
apply the std::asin() function to the double value,
cast the double value resulting from std::asin() to the pixel type of
the output image,
store the casted value into the output image.
 The filter expects both images to have the same dimension (e.g. both
2D, or both 3D, or both ND)
See:
Asin for the procedural interface
itk::AsinImageFilter for the Doxygen on the original ITK class.
AsinImageFilter}
%C++ includes: sitkAsinImageFilter.h
\section{Methods}{
\describe{
\item{ AsinImageFilter():}{
Default Constructor that takes no arguments and initializes default
parameters
}
\item{Image Execute(const Image &image1):}{}
\item{Image Execute(Image &&image1):}{
Execute the filter on the input image
}
\item{std::string GetName() const:}{
Name of this class
}
\item{std::string ToString() const:}{
Print ourselves out
}
\item{ ~AsinImageFilter():}{
Destructor
}
}
}
