\name{AtanImageFilter}
\alias{AtanImageFilter}
\title{AtanImageFilter}
\Rdversion{1.1}
\docType{class}
\description{
Computes the one-argument inverse tangent of each pixel.
AtanImageFilter}
\details{
This filter is templated over the pixel type of the input image and
the pixel type of the output image.
The filter walks over all the pixels in the input image, and for each
pixel does the following:
cast the pixel value to double ,
apply the std::atan() function to the double value,
cast the double value resulting from std::atan() to the pixel type of
the output image,
store the cast value into the output image.
See:
Atan for the procedural interface
itk::AtanImageFilter for the Doxygen on the original ITK class.
AtanImageFilter}
%C++ includes: sitkAtanImageFilter.h
\section{Methods}{
\describe{
\item{ AtanImageFilter():}{
Default Constructor that takes no arguments and initializes default
parameters
}
\item{Image Execute(const Image &image1):}{}
\item{Image Execute(Image &&image1):}{
Execute the filter on the input image
}
\item{std::string GetName() const:}{
Name of this class
}
\item{std::string ToString() const:}{
Print ourselves out
}
\item{ ~AtanImageFilter():}{
Destructor
}
}
}
