\name{BinomialBlurImageFilter}
\alias{BinomialBlurImageFilter}
\title{BinomialBlurImageFilter}
\Rdversion{1.1}
\docType{class}
\description{
Performs a separable blur on each dimension of an image.
BinomialBlurImageFilter}
\details{
The binomial blur consists of a nearest neighbor average along each
image dimension. The net result after n-iterations approaches
convolution with a gaussian.
See:
BinomialBlur for the procedural interface
itk::BinomialBlurImageFilter for the Doxygen on the original ITK class.
BinomialBlurImageFilter}
%C++ includes: sitkBinomialBlurImageFilter.h
\section{Methods}{
\describe{
\item{ BinomialBlurImageFilter():}{
Default Constructor that takes no arguments and initializes default
parameters
}
\item{Image Execute(const Image &image1):}{
Execute the filter on the input image
}
\item{std::string GetName() const:}{
Name of this class
}
\item{unsigned int GetRepetitions() const:}{
Get and set the number of times to repeat the filter.
}
\item{Self SetRepetitions(unsigned int Repetitions):}{
Get and set the number of times to repeat the filter.
}
\item{std::string ToString() const:}{
Print ourselves out
}
\item{ ~BinomialBlurImageFilter():}{
Destructor
}
}
}
