\name{FunctionCommand}
\alias{FunctionCommand}
\title{FunctionCommand}
\Rdversion{1.1}
\docType{class}
\description{
A Command class which allows setting an external function, or member function.
FunctionCommand}
\details{FunctionCommand}
%C++ includes: sitkFunctionCommand.h
\section{Methods}{
\describe{
\item{void Execute() override:}{
The method that defines action to be taken by the command
}
\item{ FunctionCommand():}{}
\item{void SetCallbackFunction(const std::function< void()> &):}{
Set as a C++ function, which is compatible with lambdas.
}
\item{class T SetCallbackFunction(T *object, void(T::*pMemberFunction)()):}{
Generic method to set a class's member function to be called in the
Execute method.
}
\item{void SetCallbackFunction(void(*pFunction)()):}{
Set a C-Style function to be called in the Execute method
}
\item{void SetCallbackFunction(void(*pFunction)(void *), void *clientData):}{
Set a C-Style function with a void* clientData as an argument. The
caller is responsible for managing the life of the clientData and that
it's valid when Execute is called with the clientData.
}
\item{ ~FunctionCommand() override:}{}
}
}
