\name{GradientMagnitudeImageFilter}
\alias{GradientMagnitudeImageFilter}
\title{GradientMagnitudeImageFilter}
\Rdversion{1.1}
\docType{class}
\description{
Computes the gradient magnitude of an image region at each pixel.
GradientMagnitudeImageFilter}
\details{
See:
Image
Neighborhood
NeighborhoodOperator
NeighborhoodIterator
GradientMagnitude for the procedural interface
itk::GradientMagnitudeImageFilter for the Doxygen on the original ITK class.
GradientMagnitudeImageFilter}
%C++ includes: sitkGradientMagnitudeImageFilter.h
\section{Methods}{
\describe{
\item{Image Execute(const Image &image1):}{
Execute the filter on the input image
}
\item{std::string GetName() const:}{
Name of this class
}
\item{bool GetUseImageSpacing() const:}{
Set/Get whether or not the filter will use the spacing of the input
image in the computation of the derivatives. Use On to compute the
gradient in physical space; use Off to ignore image spacing and to
compute the gradient in isotropic voxel space. Default is On.
}
\item{ GradientMagnitudeImageFilter():}{
Default Constructor that takes no arguments and initializes default
parameters
}
\item{Self SetUseImageSpacing(bool UseImageSpacing):}{
Set/Get whether or not the filter will use the spacing of the input
image in the computation of the derivatives. Use On to compute the
gradient in physical space; use Off to ignore image spacing and to
compute the gradient in isotropic voxel space. Default is On.
}
\item{std::string ToString() const:}{
Print ourselves out
}
\item{Self UseImageSpacingOff():}{}
\item{Self UseImageSpacingOn():}{
Set the value of UseImageSpacing to true or false respectfully.
}
\item{ ~GradientMagnitudeImageFilter():}{
Destructor
}
}
}
