\name{GradientMagnitudeRecursiveGaussianImageFilter}
\alias{GradientMagnitudeRecursiveGaussianImageFilter}
\title{GradientMagnitudeRecursiveGaussianImageFilter}
\Rdversion{1.1}
\docType{class}
\description{
Computes the Magnitude of the Gradient of an image by convolution with
the first derivative of a Gaussian.
GradientMagnitudeRecursiveGaussianImageFilter}
\details{
This filter is implemented using the recursive gaussian filters
See:
GradientMagnitudeRecursiveGaussian for the procedural interface
itk::GradientMagnitudeRecursiveGaussianImageFilter for the Doxygen on the original ITK class.
GradientMagnitudeRecursiveGaussianImageFilter}
%C++ includes: sitkGradientMagnitudeRecursiveGaussianImageFilter.h
\section{Methods}{
\describe{
\item{Image Execute(const Image &image1):}{}
\item{Image Execute(Image &&image1):}{
Execute the filter on the input image
}
\item{std::string GetName() const:}{
Name of this class
}
\item{bool GetNormalizeAcrossScale() const:}{
Set/Get the normalization factor that will be used for the Gaussian.
See:
RecursiveGaussianImageFilter::SetNormalizeAcrossScale
}
\item{double GetSigma() const:}{
Set/Get Sigma value. Sigma is measured in the units of image spacing.
}
\item{ GradientMagnitudeRecursiveGaussianImageFilter():}{
Default Constructor that takes no arguments and initializes default
parameters
}
\item{Self NormalizeAcrossScaleOff():}{}
\item{Self NormalizeAcrossScaleOn():}{
Set the value of NormalizeAcrossScale to true or false respectfully.
}
\item{Self SetNormalizeAcrossScale(bool NormalizeAcrossScale):}{
Set/Get the normalization factor that will be used for the Gaussian.
See:
RecursiveGaussianImageFilter::SetNormalizeAcrossScale
}
\item{Self SetSigma(double Sigma):}{
Set/Get Sigma value. Sigma is measured in the units of image spacing.
}
\item{std::string ToString() const:}{
Print ourselves out
}
\item{ ~GradientMagnitudeRecursiveGaussianImageFilter():}{
Destructor
}
}
}
