\name{LabelImageToLabelMapFilter}
\alias{LabelImageToLabelMapFilter}
\title{LabelImageToLabelMapFilter}
\Rdversion{1.1}
\docType{class}
\description{
convert a labeled image to a label collection image
LabelImageToLabelMapFilter}
\details{
LabelImageToLabelMapFilter converts a label image to a label collection image. The labels are
the same in the input and the output image.
Gaetan Lehmann. Biologie du Developpement et de la Reproduction, INRA
de Jouy-en-Josas, France.
 This implementation was taken from the Insight Journal paper: https://www.insight-journal.org/browse/publication/176
See:
BinaryImageToLabelMapFilter , LabelMapToLabelImageFilter
LabelImageToLabelMapFilter for the procedural interface
itk::LabelImageToLabelMapFilter for the Doxygen on the original ITK class.
LabelImageToLabelMapFilter}
%C++ includes: sitkLabelImageToLabelMapFilter.h
\section{Methods}{
\describe{
\item{Image Execute(const Image &image1):}{
Execute the filter on the input image
}
\item{double GetBackgroundValue() const:}{
Set/Get the value used as "background" in the output image. Defaults
to NumericTraits<PixelType>::NonpositiveMin() .
}
\item{std::string GetName() const:}{
Name of this class
}
\item{ LabelImageToLabelMapFilter():}{
Default Constructor that takes no arguments and initializes default
parameters
}
\item{Self SetBackgroundValue(double BackgroundValue):}{
Set/Get the value used as "background" in the output image. Defaults
to NumericTraits<PixelType>::NonpositiveMin() .
}
\item{std::string ToString() const:}{
Print ourselves out
}
\item{ ~LabelImageToLabelMapFilter():}{
Destructor
}
}
}
