\name{MaskedAssignImageFilter}
\alias{MaskedAssignImageFilter}
\title{MaskedAssignImageFilter}
\Rdversion{1.1}
\docType{class}
\description{
Mask an image with a mask.
MaskedAssignImageFilter}
\details{
This class is templated over the types of the input image type, the
mask image type and the type of the output image. Numeric conversions
(castings) are done by the C++ defaults.
The pixel type of the input 2 image must have a valid definition of
the operator != with zero. This condition is required because
internally this filter will perform the operation
The pixel from the input 1 is cast to the pixel type of the output
image.
Note that the input and the mask images must be of the same size.
WARNING:
Any pixel value other than masking value (0 by default) will not be
masked out.
See:
MaskNegatedImageFilter
MaskedAssign for the procedural interface
itk::MaskedAssignImageFilter for the Doxygen on the original ITK
class.
MaskedAssignImageFilter}
%C++ includes: sitkMaskedAssignImageFilter.h
\section{Methods}{
\describe{
\item{Image Execute(const Image &image, const Image &maskImage):}{}
\item{Image Execute(const Image &image, const Image &maskImage, const Image &assignImage):}{}
\item{Image Execute(Image &&image, const Image &maskImage):}{}
\item{Image Execute(Image &&image, const Image &maskImage, const Image &assignImage):}{
Execute the filter on the input image
}
\item{double GetAssignConstant() const:}{}
\item{std::string GetName() const:}{
Name of this class
}
\item{ MaskedAssignImageFilter():}{
Default Constructor that takes no arguments and initializes default
parameters
}
\item{Self SetAssignConstant(double AssignConstant):}{
Method to explicitly set the outside value of the mask when
AssignImage is undefined. Defaults to 0
}
\item{std::string ToString() const:}{
Print ourselves out
}
\item{ ~MaskedAssignImageFilter():}{
Destructor
}
}
}
