\name{MedianImageFilter}
\alias{MedianImageFilter}
\title{MedianImageFilter}
\Rdversion{1.1}
\docType{class}
\description{
Applies a median filter to an image.
MedianImageFilter}
\details{
Computes an image where a given pixel is the median value of the the
pixels in a neighborhood about the corresponding input pixel.
A median filter is one of the family of nonlinear filters. It is used
to smooth an image without being biased by outliers or shot noise.
This filter requires that the input pixel type provides an operator<() (LessThan Comparable).
See:
Image
Neighborhood
NeighborhoodOperator
NeighborhoodIterator
Median for the procedural interface
itk::MedianImageFilter for the Doxygen on the original ITK class.
MedianImageFilter}
%C++ includes: sitkMedianImageFilter.h
\section{Methods}{
\describe{
\item{Image Execute(const Image &image1):}{
Execute the filter on the input image
}
\item{std::string GetName() const:}{
Name of this class
}
\item{std::vector< unsigned int > GetRadius() const:}{}
\item{ MedianImageFilter():}{
Default Constructor that takes no arguments and initializes default
parameters
}
\item{Self SetRadius(std::vector< unsigned int > Radius):}{}
\item{Self SetRadius(unsigned int value):}{
Set the values of the Radius vector all to value
}
\item{std::string ToString() const:}{
Print ourselves out
}
\item{ ~MedianImageFilter():}{
Destructor
}
}
}
