\name{ModulusImageFilter}
\alias{ModulusImageFilter}
\title{ModulusImageFilter}
\Rdversion{1.1}
\docType{class}
\description{
Computes the modulus (x \% dividend) pixel-wise.
ModulusImageFilter}
\details{
The input pixel type must support the c++ modulus operator (\%).
If the dividend is zero, the maximum value will be returned.
Gaetan Lehmann. Biologie du Developpement et de la Reproduction, INRA
de Jouy-en-Josas, France.
See:
Modulus for the procedural interface
itk::ModulusImageFilter for the Doxygen on the original ITK class.
ModulusImageFilter}
%C++ includes: sitkModulusImageFilter.h
\section{Methods}{
\describe{
\item{Image Execute(const Image &image1, const Image &image2):}{}
\item{Image Execute(const Image &image1, uint32_t constant):}{
Execute the filter with an image and a constant
}
\item{Image Execute(Image &&image1, const Image &image2):}{
Execute the filter on the input images
}
\item{Image Execute(Image &&image1, uint32_t constant):}{}
\item{Image Execute(uint32_t constant, const Image &image2):}{}
\item{std::string GetName() const:}{
Name of this class
}
\item{ ModulusImageFilter():}{
Default Constructor that takes no arguments and initializes default
parameters
}
\item{std::string ToString() const:}{
Print ourselves out
}
\item{ ~ModulusImageFilter():}{
Destructor
}
}
}
