\name{NonCopyable}
\alias{NonCopyable}
\title{NonCopyable}
\Rdversion{1.1}
\docType{class}
\description{
An inheritable class to disable copying of a class.
NonCopyable}
\details{
This class disable the implicit implementations of the assignment and
copy constructor for derived classes. The instantiation of the default
implementation for either method in a derived class will result in a
compile-time error because they are private in this class. However,
this policy is not absolute for derived classes because explicit
implementation of these methods could be implemented.
An advantage this approach has is the class hierarchy makes it obvious
what the intent is, as compared to other approaches.
For example you should not be able to copy singleton object, because
there should only be one of them. To utilize this class just derive
from it:
NonCopyable}
%C++ includes: sitkNonCopyable.h
\section{Methods}{
\describe{
\item{ NonCopyable(const NonCopyable &)=delete:}{}
}
}
