\name{PhysicalPointImageSource}
\alias{PhysicalPointImageSource}
\title{PhysicalPointImageSource}
\Rdversion{1.1}
\docType{class}
\description{
Generate an image of the physical locations of each pixel.
PhysicalPointImageSource}
\details{
This image source supports image which have a multi-component pixel
equal to the image dimension, and variable length VectorImages. It is
recommended that the component type be a real valued type.
See:
PhysicalPointSource for the procedural interface
itk::PhysicalPointImageSource for the Doxygen on the original ITK class.
PhysicalPointImageSource}
%C++ includes: sitkPhysicalPointImageSource.h
\section{Methods}{
\describe{
\item{Image Execute():}{
Execute the filter on the input image
}
\item{std::vector< double > GetDirection() const:}{}
\item{std::string GetName() const:}{
Name of this class
}
\item{std::vector< double > GetOrigin() const:}{}
\item{PixelIDValueEnum GetOutputPixelType() const:}{}
\item{std::vector< unsigned int > GetSize() const:}{}
\item{std::vector< double > GetSpacing() const:}{}
\item{ PhysicalPointImageSource():}{
Default Constructor that takes no arguments and initializes default
parameters
}
\item{Self SetDirection(std::vector< double > Direction):}{}
\item{Self SetOrigin(std::vector< double > Origin):}{}
\item{Self SetOutputPixelType(PixelIDValueEnum OutputPixelType):}{}
\item{void SetReferenceImage(const Image &refImage):}{
This methods sets the size, origin, spacing and direction to that of
the provided image
}
\item{Self SetSize(std::vector< unsigned int > Size):}{}
\item{Self SetSpacing(std::vector< double > Spacing):}{}
\item{std::string ToString() const:}{
Print ourselves out
}
\item{ ~PhysicalPointImageSource():}{
Destructor
}
}
}
