\name{SobelEdgeDetectionImageFilter}
\alias{SobelEdgeDetectionImageFilter}
\title{SobelEdgeDetectionImageFilter}
\Rdversion{1.1}
\docType{class}
\description{
A 2D or 3D edge detection using the Sobel operator.
SobelEdgeDetectionImageFilter}
\details{
This filter uses the Sobel operator to calculate the image gradient
and then finds the magnitude of this gradient vector. The Sobel
gradient magnitude (square-root sum of squares) is an indication of
edge strength.
See:
ImageToImageFilter
SobelOperator
Neighborhood
NeighborhoodOperator
NeighborhoodIterator
SobelEdgeDetection for the procedural interface
itk::SobelEdgeDetectionImageFilter for the Doxygen on the original ITK class.
SobelEdgeDetectionImageFilter}
%C++ includes: sitkSobelEdgeDetectionImageFilter.h
\section{Methods}{
\describe{
\item{Image Execute(const Image &image1):}{
Execute the filter on the input image
}
\item{std::string GetName() const:}{
Name of this class
}
\item{ SobelEdgeDetectionImageFilter():}{
Default Constructor that takes no arguments and initializes default
parameters
}
\item{std::string ToString() const:}{
Print ourselves out
}
\item{ ~SobelEdgeDetectionImageFilter():}{
Destructor
}
}
}
