\name{VectorConnectedComponentImageFilter}
\alias{VectorConnectedComponentImageFilter}
\title{VectorConnectedComponentImageFilter}
\Rdversion{1.1}
\docType{class}
\description{
A connected components filter that labels the objects in a vector
image. Two vectors are pointing similar directions if one minus their
dot product is less than a threshold. Vectors that are 180 degrees out
of phase are similar. Assumes that vectors are normalized.
VectorConnectedComponentImageFilter}
\details{
See:
VectorConnectedComponent for the procedural interface
itk::VectorConnectedComponentImageFilter for the Doxygen on the original ITK class.
VectorConnectedComponentImageFilter}
%C++ includes: sitkVectorConnectedComponentImageFilter.h
\section{Methods}{
\describe{
\item{Image Execute(const Image &image1):}{
Execute the filter on the input image
}
\item{Self FullyConnectedOff():}{}
\item{Self FullyConnectedOn():}{
Set the value of FullyConnected to true or false respectfully.
}
\item{double GetDistanceThreshold() const:}{}
\item{bool GetFullyConnected() const:}{}
\item{std::string GetName() const:}{
Name of this class
}
\item{Self SetDistanceThreshold(double DistanceThreshold):}{}
\item{Self SetFullyConnected(bool FullyConnected):}{}
\item{std::string ToString() const:}{
Print ourselves out
}
\item{ VectorConnectedComponentImageFilter():}{
Default Constructor that takes no arguments and initializes default
parameters
}
\item{ ~VectorConnectedComponentImageFilter():}{
Destructor
}
}
}
