\name{VotingBinaryHoleFillingImageFilter}
\alias{VotingBinaryHoleFillingImageFilter}
\title{VotingBinaryHoleFillingImageFilter}
\Rdversion{1.1}
\docType{class}
\description{
Fills in holes and cavities by applying a voting operation on each
pixel.
VotingBinaryHoleFillingImageFilter}
\details{
See:
Image
VotingBinaryImageFilter
VotingBinaryIterativeHoleFillingImageFilter
Neighborhood
NeighborhoodOperator
NeighborhoodIterator
VotingBinaryHoleFilling for the procedural interface
itk::VotingBinaryHoleFillingImageFilter for the Doxygen on the original ITK class.
VotingBinaryHoleFillingImageFilter}
%C++ includes: sitkVotingBinaryHoleFillingImageFilter.h
\section{Methods}{
\describe{
\item{Image Execute(const Image &image1):}{
Execute the filter on the input image
}
\item{double GetBackgroundValue() const:}{}
\item{double GetForegroundValue() const:}{}
\item{unsigned int GetMajorityThreshold() const:}{
Majority threshold. It is the number of pixels over 50\% that will
decide whether an OFF pixel will become ON or not. For example, if the
neighborhood of a pixel has 124 pixels (excluding itself), the 50\%
will be 62, and if you set up a Majority threshold of 5, that means
that the filter will require 67 or more neighbor pixels to be ON in
order to switch the current OFF pixel to ON. The default value is 1.
}
\item{std::string GetName() const:}{
Name of this class
}
\item{std::vector< unsigned int > GetRadius() const:}{}
\item{Self SetBackgroundValue(double BackgroundValue):}{}
\item{Self SetForegroundValue(double ForegroundValue):}{}
\item{Self SetMajorityThreshold(unsigned int MajorityThreshold):}{
Majority threshold. It is the number of pixels over 50\% that will
decide whether an OFF pixel will become ON or not. For example, if the
neighborhood of a pixel has 124 pixels (excluding itself), the 50\%
will be 62, and if you set up a Majority threshold of 5, that means
that the filter will require 67 or more neighbor pixels to be ON in
order to switch the current OFF pixel to ON. The default value is 1.
}
\item{Self SetRadius(std::vector< unsigned int > Radius):}{}
\item{Self SetRadius(unsigned int value):}{
Set the values of the Radius vector all to value
}
\item{std::string ToString() const:}{
Print ourselves out
}
\item{ VotingBinaryHoleFillingImageFilter():}{
Default Constructor that takes no arguments and initializes default
parameters
}
\item{ ~VotingBinaryHoleFillingImageFilter():}{
Destructor
}
}
}
